const StackParser = require("stacktracey");

function createShortStack(stack) {
    const parsedStack = new StackParser(stack);
    const formattedStack = parsedStack.map((stackObject) => {
        return `${stackObject.fileShort} - line: ${stackObject.line} - column: ${stackObject.column}`
    });
    const joinedStack = formattedStack.items.join("\n");
    return joinedStack;
}

module.exports = {
    createShortStack
}
