const { errorLevels, slackChannels } = require("../constants");
describe("constants.js", () => {
    describe("errorLevels", () => {

        it("Should map COMMON to 'common'.", () => {
            expect(errorLevels.COMMON).toBe("common");
        });

        it("Should map CRITICAL to 'critical'.", () => {
            expect(errorLevels.CRITICAL).toBe("critical");
        });

        it("Should map FATAL to 'fatal'.", () => {
            expect(errorLevels.FATAL).toBe("fatal");
        });

    });

    describe("slackChannels", () => {

        it("Should map DEV to alerts_dev", () => {
            expect(slackChannels.DEV).toBe("alerts_dev");
        });

        it("Should map CRITICAL to alerts_critical", () => {
            expect(slackChannels.CRITICAL).toBe("alerts_critical");
        });

        it("Should map MOBILE to alerts_mobileapp", () => {
            expect(slackChannels.MOBILE).toBe("alerts_mobileapp");
        });

        it("Should map NODEJOBS to alerts_nodejobs", () => {
            expect(slackChannels.NODEJOBS).toBe("alerts_nodejobs");
        });

        it("Should map SQl to alerts_sql", () => {
            expect(slackChannels.SQL).toBe("alerts_sql");
        });

        it("Should map WARNING to alerts_warning", () => {
            expect(slackChannels.WARNING).toBe("alerts_warning");
        });

        it("Should map WEB to alerts_web", () => {
            expect(slackChannels.WEB).toBe("alerts_web");
        });

        it("Should map WORKFLOW to alerts_workflow", () => {
            expect(slackChannels.WORKFLOW).toBe("alerts_workflow");
        });

    });
})
